<template>
  <div class="bg-black bg-opacity-20 flex justify-center items-center w-screen h-screen absolute top-0 left-0">
    <div class="py-8 px-12 bg-white rounded-2xl w-2/3 h-1/3 flex flex-col items-center justify-between text-center">
      <h2 class="text-4xl font-medium">Fine partita</h2>
      <span class="font-bold text-3xl">{{ condition }}</span>
      <span class="text-xl">
        Hai raggiunto un peso di <strong>{{ totalWeight }}KG</strong>
        su un massimo di <strong>{{ totalWeight }}KG</strong>
        con <strong>{{ timeRemaining }} secondi</strong> ancora a disposizione.
      </span>
      <a
        href="/"
        class="text-2xl transition text-underline text-green-700 font-medium   px-3 py-2 rounded-lg hover:bg-green-700 hover:bg-opacity-10"
      >
        Ricomincia
      </a>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Popup',

  props: {
    timeRemaining: Number,
    maxWeight: Number,
    totalWeight: Number,
    condition: String
  }
}
</script>
